PDA

View Full Version : Need help with Video4Linux



fromans4
25th June 2005, 07:11 PM
When I try to install "Video4Linux" I get a depency error. I get the same error using either yum or yumex to install. Here is the error -

Error: Missing Dependency: video4linux-kmdl-1:20050310_100754-57.rhfc4.at is needed by package video4linux

I also tried downloading the Video4Linux rpm. When I install the rpm it does not produce any errors, but after running the rpm install, Video4Linux still doesn't show up as being installed when I check rpm's.

rpm -qa | grep video4linux

I also downloaded the video4linux-kmdl-1:20050310_100754-57.rhfc4.at.rpm and tried to install in hopes of getting rid of the depency problem listed above. Unfortunately when I tried to install it I get yet another depency error!

error: Failed dependencies:
/boot/vmlinuz-2.4.21-32.0.1.EL is needed by video4linux-kmdl-2.4.21-32.0.1.EL-20040513_184431-44.1.el3.at.x86_64
kernel = 2.4.21-32.0.1.EL is needed by video4linux-kmdl-2.4.21-32.0.1.EL-20040513_184431-44.1.el3.at.x86_64

I thought at this point I needed to get some help. I have only been using linux for a couple of weeks so maybee I am missing something obvious. I would appreciate whatever help I can get.

Thanks in advance,

A frustrated newb :confused:

imdeemvp
25th June 2005, 08:49 PM
Means you have to use a kernel version from repository you are installing app....

fromans4
25th June 2005, 09:49 PM
I thought thats was what "video4linux-kmdl-1:20050310_100754-57.rhfc4.at.rpm" was??

Where do I find the kernel version? What is its name?

Brent

webmadman
27th June 2005, 01:39 AM
D'oh, I just started another thread looking for the "video4linux-kmdl-1:20050310_100754-57.rhfc4.at.rpm" and then saw this thread in the "related" list my question is where did you find video4linux-kmdl-1:20050310_100754-57.rhfc4.at.rpm? I've been looking everywhere for it, but it looks like I'll just get stuck where you did...

You know, this webcam has just been more headaches than anything since I got it (I actaully "won" it from ZeD- http://zed.cbc.ca ), but I hate letting anything "go to waste"...


Love and Groovyness,
WEBmadman ;-)

fromans4
27th June 2005, 05:54 PM
Here is the link to where I got both the rpm's I installed.

http://rpm.pbone.net/index.php3/stat/4/idpl/1949554/com/video4linux-kmdl-2.4.21-32.0.1.EL-20040513_184431-44.1.el3.at.i686.rpm.html

This site seems to be a good source for rpm's in general. I wish this would have solved my issue. I let you know if I get any further.

Brent

foxmuldar
27th January 2006, 06:08 AM
http://dl.atrpms.net/all/video4linu...fc4.at.i386.rpm this is the driver
http://dl.atrpms.net/all/video4linu...fc4.at.i686.rpm Kernel module

here is the video4linux, module and driver....:-)

foxmuldar,

foxmuldar
27th January 2006, 06:22 AM
how do i install Video4linux please?

foxmuldar